Bug 226867 - [NEW PORT] www/websocketd: Access any command-line tool via a WebSocket
Summary: [NEW PORT] www/websocketd: Access any command-line tool via a WebSocket
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
: 226868 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-03-23 05:52 UTC by Guangyuan Yang
Modified: 2019-08-08 05:50 UTC (History)
5 users (show)

See Also:


Attachments
Proposed patch (3.26 KB, patch)
2018-03-23 05:52 UTC, Guangyuan Yang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2018-03-23 05:52:06 UTC
Created attachment 191749 [details]
Proposed patch

websocketd is the WebSocket daemon
It takes care of handling the WebSocket connections,
launching your programs to handle the WebSockets,
and passing messages between programs and web-browser.

URI:http://websocketd.com/
https://github.com/joewalnes/websocketd

testport: OK (11.1-RELEASE amd64, 10.4-RELEASE i386)
portlint: OK

It is my second new port, so any feedback would be more than welcome!
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-03-23 06:44:29 UTC
*** Bug 226868 has been marked as a duplicate of this bug. ***
Comment 2 Adam Weinberger freebsd_committer 2018-03-23 17:11:15 UTC
Looks good to me. Go for it.
Comment 3 commit-hook freebsd_committer 2018-03-24 06:44:01 UTC
A commit references this bug:

Author: ygy
Date: Sat Mar 24 06:43:30 UTC 2018
New revision: 465429
URL: https://svnweb.freebsd.org/changeset/ports/465429

Log:
  - Add websocketd 0.3.0

  websocketd is the WebSocket daemon. It takes care of handling the
  WebSocket connections, launching your programs to handle the WebSockets,
  and passing messages between programs and web-browser.

  PR:		226867
  Approved by:	adamw

Changes:
  head/www/Makefile
  head/www/websocketd/
  head/www/websocketd/Makefile
  head/www/websocketd/distinfo
  head/www/websocketd/pkg-descr
Comment 4 Guangyuan Yang freebsd_committer 2018-03-24 07:33:16 UTC
As yuri suggested, I should probably update the port to build from source code. I am keeping this PR open for tracking.
Comment 5 Adam Weinberger freebsd_committer 2018-03-24 15:16:10 UTC
I was wondering about that, but figured there was a reason.

Check out some of the other go ports for the go build paradigm.
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-08 05:42:59 UTC
Is there a reasom, that this is still open?
Comment 7 Yuri Victorovich freebsd_committer 2019-08-08 05:50:11 UTC
(In reply to w.schwarzenfeld from comment #6)

Yes, this port shouldn't have been committed because it installs prebuilt binaries.

Everything having open source code should be built from that code.